import { protocol } from './index'
import {
  GET_HOUSE_DETAIL,
  GET_HOUSES_LIST,
  POST_HOUSE_CREATE,
  PUT_UPDATE_HOUSE,
} from './url'

export const postCreateHouse = (payload) => {
  return protocol.post(POST_HOUSE_CREATE, payload)
}

export const getAllHouse = ({ page, pageSize }) => {
  return protocol.get(
    GET_HOUSES_LIST({
      page,
      pageSize,
    }),
    {},
  )
}

export const getHouseDetail = (id) => {
  return protocol.get(GET_HOUSE_DETAIL(id), {})
}

export const putUpdateHouse = (payload) => {
  return protocol.put(PUT_UPDATE_HOUSE, payload)
}
