import { IconPencil, IconTrash } from '@tabler/icons-solidjs'
import { Show } from 'solid-js'

export default function AreaItem(props) {
  const data = () => props.data

  return (
    <div class="flex justify-between shadow rounded-lg p-3 border border-gray-300">
      <div class="item-body">
        <span class="text-md font-bold">{data().name}</span>
        <p class="text-xs">{data().desc}</p>
        <Show when={!data().isCreate}>
          <input
            type="hidden"
            name={`${props.formName}.${props.num}.id`}
            value={data().id}
          />
        </Show>
        <input
          type="hidden"
          name={`${props.formName}.${props.num}.name`}
          value={data().name}
          data-value={data().name}
        />
        <input
          type="hidden"
          name={`${props.formName}.${props.num}.desc`}
          value={data().desc}
          data-value={data().desc}
        />
      </div>
      <div class="flex">
        <Show when={props.onEdit}>
          <button
            type="button"
            class="btn btn-circle btn-ghost btn-sm text-blue-500 hover:bg-blue-100"
            onClick={() => props.onEdit(data().id)}
          >
            <IconPencil size={20} />
          </button>
        </Show>
        <Show when={props.onDelete}>
          <button
            type="button"
            class="btn btn-circle btn-ghost btn-sm text-red-500 hover:bg-red-100"
            onClick={() => props.onDelete(data().id)}
          >
            <IconTrash size={20} />
          </button>
        </Show>
      </div>
    </div>
  )
}
