import { lazy } from 'solid-js'

export const ROUTES = [
  {
    name: 'home',
    path: '/',
    components: lazy(() => import('@pages/Home')),
    filter: {},
    show: true,
  },
  {
    name: 'profile',
    path: '/me',
    components: lazy(() => import('@pages/Profile')),
    filter: {},
    show: true,
  },
  {
    name: 'dashboard',
    path: '/dashboard',
    components: lazy(() => import('@pages/Dashboard')),
    filter: {},
    show: true,
  },
  {
    name: 'location',
    path: '/location',
    components: lazy(() => import('@pages/House')),
    filter: {},
    show: true,
  },
  {
    name: 'create-location',
    path: '/location/create',
    components: lazy(() => import('@pages/HouseCreate')),
    filter: {},
    show: true,
  },
  {
    name: 'edit-location',
    path: '/location/edit/:id',
    components: lazy(() => import('@pages/HouseCreate')),
    filter: {
      id: /^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$/,
    },
    show: true,
  },
  {
    name: 'warehouse',
    path: '/warehouse',
    components: lazy(() => import('@pages/WareHouse')),
    filter: {},
    show: true,
  },
]
